Bug 584413 - Request ability to display more than 45 resources at a time on the screen
Request ability to display more than 45 resources at a time on the screen
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
1.4
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: jon3
  Show dependency treegraph
 
Reported: 2010-04-21 10:30 EDT by dsteigne
Modified: 2014-05-29 11:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-29 11:37:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description dsteigne 2010-04-21 10:30:25 EDT
Description of problem:

Customer has more than 2000 old resources to delete, its takes really long to do it with the GUI. The web page can only show 45 items at a time. He tried to change the URL by replacing ps=45 by ps=100 or more but it doesn't work.

Can we add the ability to display more than 45 at a time.
Comment 1 Ian Springer 2011-02-16 15:47:13 EST
We will not fix this in the old JSF GUI. In the new GWT GUI, we should look into providing a Select All button on tables where the user would commonly want to perform an action on all records. I don't think we need to do this for RHQ 4.0 though.
Comment 2 Larry O'Leary 2011-02-16 15:52:58 EST
The biggest issue this bug identifies is that our paging is very limited. If a user wants to see all their resources, then they should have the option to do so. In other words, in the old UI, we only let them display up to 45 items per page. What the new GUI should allow is the ability to specify a higher limit per page or even an "All" option.
Comment 3 Jay Shaughnessy 2014-05-29 11:37:30 EDT
Coregui scrolling supports this.

Note You need to log in before you can comment on or make changes to this bug.